# Wifi Bridge Documentation

This directory contains all code that pertains to the ESP8266 ESP-01 chip.
This allows the MicroCART quad to use Wifi for communication. This directory
codes the following:

  * The code that is actually running on the Quad (if acting as an AP) is in the directory [ESP8266_Wifi-Serial-Adapter-AP](./ESP8266_Wifi-Serial-Adapter-AP).
  * The code that is actually running on the Quad (if acting as an Client) is in the directory [ESP8266_Wifi-Serial-Adapter-Client](./ESP8266_Wifi-Serial-Adapter-Client).
  * Old Arduino projects and c code used during development in the directory [wifi_dropin_old](./wifi_dropin_old).
  * Test scripts for the wifi bridge are in [test_scripts](./test_scripts).
  * An Arduino project for a simple bridge in [simple_bridge](./simple_bridge), also see the [README](./simple_bridge/README.md).
  * An Arduino project for a less simple bridge (more similar to the AP ESP Open SDK version) in [simple_bridge2](./simple_bridge2), also see the [README](./simple_bridge2/README.md).
  * A Visual Studio project for Serial Echo is contained in [SerialEchoConsole](./SerialEchoConsole). This was used for latency testing the wifi latency.

For instructions on how to program the ESP8266 ESP-01 see [ESP Programming Documentation](./esp_programming.md).
